#include <bits/stdc++.h>
using namespace std;
int n,l,h,brojac;
int main (){
   cin>>n>>l;
   for(int i=1; i<=n; i++){
      scanf("%d", &h);
      if(h<=l){
         cout<<i<<endl;
         brojac=1;
         break;
      }
   }
   if(brojac==0)
      cout<<"-1"<<endl;



return 0;
}